This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 64718 - gpm generates oops following Kickstart install
gpm generates oops following Kickstart install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 21:29 EDT by Bob Cochran
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the ks.cfg file I used for the install that triggered the gpm oops. (3.24 KB, text/plain)
2002-05-09 21:31 EDT, Bob Cochran
no flags Details
This is the XF86Config-4 file generated by anaconda which I think caused the gpm oops. (4.08 KB, text/plain)
2002-05-09 21:40 EDT, Bob Cochran
no flags Details
This is the XF86Config-4 file which works well for me on that particular laptop. (4.55 KB, text/plain)
2002-05-09 21:44 EDT, Bob Cochran
no flags Details

  None (edit)
Description Bob Cochran 2002-05-09 21:29:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
When performing a kickstart install of RHL 7.3 to a Sony Vaio PCG-F350 laptop
machine, the install finishes normally and then when the machine reboots for the
first time gpm generates an oops message. The oops occurs during the boot
sequence and KDE is unable to come up. Minor screen flickering can be observed
for some time. The machine can be rebooted with a CTRL-ALT-DEL sequence. The
specific gpm oops message is "gpm: oops too many levels of symbolic links.
Console mouse services failed." I am attaching the kickstart file used by
anaconda. I am also attaching the XF86Config-4 file generated by anaconda. 

Some background: this laptop machine uses an ALPS Glidepoint touchpad. However I
dislike using the touchpad as a pointing device and I have a standard, older
model, 3-button Microsoft Intellimouse plugged into the mouse port at the back
of the machine. The mouse protocol that works best with this in XF86Config is
"IMPS/2". If I don't use this protocol the mouse arrow "flies off the screen"
and becomes totally disabled as a pointing device.

As it happens, I had already installed RHL 7.3, but wanted to do a kickstart
install on this same machine. I took the /root/anaconda-ks.cfg, copied it to
ks.cfg, and customized this file. First I tried changing the mouse to IMPS/2 and
the device to --device mouse from psaux. However anaconda didn't like this and
aborted the installation, citing the mouse IMPS/2 language as causing a problem.
I changed this to "imps/2" (lowercasing the letters) and this also caused the
kickstart install to abort. Finally, I changed it to "mouse generic3ps/2
--device mouse" and this allowed the install to proceed, however the gpm oops
occured immediately after.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Use attached ks.cfg file on a pcmcia boot disk.
2. Type linux ks=floppy at the boot:prompt.
3. Load the pcmciadd.img disk when prompted.
4. Install completes normally but without prompting you to create a boot disk.
One reaches the final screen instructing you to remove all diskettes and press
enter to reboot the system.

Note that the KDE desktop is being installed.
5. The system appears to boot normally until very late in the non-interactive
startup sequence. An error message "gpm: oops too many levels of symbolic links
" is generated.
6. KDE login screen does not come up. Instead, the screen goes black. One can
observe some flickering.
 
	

Actual Results:  I had to reboot the system because I couldn't get a graphical
KDE login as I should have. I used my boot floppy to boot into single user mode
and try to replace the XF86Config-4 file with the backup file which I know works
for this mouse.

Expected Results:  A graphical KDE login screen should have come up. I should
have beenable to log into a user or root account graphically.

Additional info:

Replacing the XF86Config-4 file with one that I know works and had ready in case
of need still triggered a gpm oops message, the same one given above. However,
this time the graphical KDE login came up. Both the touchpad and the Microsoft
Mouse were useless, though.
Comment 1 Bob Cochran 2002-05-09 21:31:33 EDT
Created attachment 56864 [details]
This is the ks.cfg file I used for the install that triggered the gpm oops.
Comment 2 Bob Cochran 2002-05-09 21:40:52 EDT
Created attachment 56865 [details]
This is the XF86Config-4 file generated by anaconda which I think caused the gpm oops.
Comment 3 Bob Cochran 2002-05-09 21:44:02 EDT
Created attachment 56866 [details]
This is the XF86Config-4 file which works well for me on that particular laptop.
Comment 4 Bernhard Rosenkraenzer 2002-05-19 14:11:48 EDT
Looks like anaconda is generating bogus config files and symlink loops... 
What does /etc/sysconfig/mouse say after your installation? 
(XF86Config-4 isn't related to gpm at all, but the X not starting problem is.) 
Comment 5 Bob Cochran 2002-05-19 15:32:21 EDT
I've long since reinstalled 7.3 from CD without using kickstart, and I didn't
think to check /etc/sysconfig/mouse at the time of the oops. However I'll be
happy to reinstall using kickstart. Let me know if you would like that.
Comment 6 Michael Fulbright 2002-05-23 15:43:53 EDT
Yes that would help us.
Comment 7 Michael Fulbright 2002-07-15 12:52:34 EDT
Closing due to inactivty, please reopen if you have additional information to add.
Comment 8 Red Hat Bugzilla 2006-02-21 13:48:52 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.